gtc/quaternion.hpp File Reference

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | eulerAngles (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, bool, Q > | greaterThan (qua< T, Q > const &x, qua< T, Q > const &y)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, bool, Q > | greaterThanEqual (qua< T, Q > const &x, qua< T, Q > const &y)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, bool, Q > | lessThan (qua< T, Q > const &x, qua< T, Q > const &y)
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 4, bool, Q > | lessThanEqual (qua< T, Q > const &x, qua< T, Q > const &y)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 3, 3, T, Q > | mat3_cast (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | mat4_cast (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | pitch (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | quat_cast (mat< 3, 3, T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | quat_cast (mat< 4, 4, T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | quatLookAt (vec< 3, T, Q > const &direction, vec< 3, T, Q > const &up)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | quatLookAtLH (vec< 3, T, Q > const &direction, vec< 3, T, Q > const &up)
template<typename T , qualifier Q>
GLM_FUNC_DECL qua< T, Q > | quatLookAtRH (vec< 3, T, Q > const &direction, vec< 3, T, Q > const &up)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | roll (qua< T, Q > const &x)
template<typename T , qualifier Q>
GLM_FUNC_DECL T | yaw (qua< T, Q > const &x)

## Detailed Description

See also
  Core features (dependence)
  GLM_GTC_constants (dependence)

Definition in file gtc/quaternion.hpp.